Subject: Re: [xrblock] downref in draft-ietf-xrblock-rtcp-xr-decodability-06.txt

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 4 Feb 2013 09:45:12 +0000

Hi Rachel,

Yes, my comment was addressed. 

We are waiting for the confirmation from Glen Zorn (as an author of the document) that all appropriate IPR disclosures required for full conformance with the provisions of BCP 78 and BCP 79 have been filled in order to progress this document (submit to the IESG). 

Thanks and Regards,

Dan

> -----Original Message-----
> From: Huangyihong (Rachel) [mailto:[email-masked]]
> Sent: Friday, February 01, 2013 5:55 AM
> To: Romascanu, Dan (Dan); Qin Wu; [email-masked]
> Subject: RE: [xrblock] downref in draft-ietf-xrblock-rtcp-xr-
> decodability-06.txt
> 
> Hi Dan,
> 
> Does version 07 address your comments?
> 
> Best Regards!
> Rachel
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Romascanu, Dan (Dan)
> Sent: Wednesday, January 16, 2013 4:10 PM
> To: Qin Wu; [email-masked]
> Subject: Re: [xrblock] downref in draft-ietf-xrblock-rtcp-xr-
> decodability-06.txt
> 
> Hi Qin,
> 
> Please submit an updated version with this change.
> 
> If anybody sees a problem, please say.
> 
> Thanks and Regards,
> 
> Dan
> 
> 
> 
> 
> > -----Original Message-----
> > From: Qin Wu [mailto:[email-masked]]
> > Sent: Wednesday, January 16, 2013 3:04 AM
> > To: Romascanu, Dan (Dan); [email-masked]
> > Subject: Re: [xrblock] downref in draft-ietf-xrblock-rtcp-xr-
> > decodability-06.txt
> >
> > Good catch, I agree with your point.
> > I think it is more straightforward to change RFC6709 as
> Informationtive.
> >
> > Regards!
> > -Qin
> > ----- Original Message -----
> > From: "Romascanu, Dan (Dan)" <[email-masked]>
> > To: <[email-masked]>
> > Sent: Tuesday, January 15, 2013 10:06 PM
> > Subject: [xrblock] downref in draft-ietf-xrblock-rtcp-xr-decodability-
> > 06.txt
> >
> >
> > > Editors of draft-ietf-xrblock-rtcp-xr-decodability-06.txt,
> > >
> > > While preparing the write-up
> > > draft-ietf-xrblock-rtcp-xr-decodability-
> > 06.txt for submission to the IESG I ran in a similar downref problem
> > as with the summary statistics I-D, probably introduced in the last
> > rounds of edits. [RFC6709] is now referred to as a Normative
> > Reference, which results in a downref, as 6709 is an Informational
> > RFC. Can you also look at this issue?
> > >
> > > Note that downrefs are OK, but we must be sure that this is what we
> > want to do, and call these explicitly in the write-ups, which will
> > lead to being called explicitly in the IETF Last Calls.
> > >
> > > My take as a contributor is that RFC 6709 provides a generic
> > > guidance
> > and as such the reference to it may be Informative, but other people
> > may have different opinions.
> > >
> > > Thanks and Regards,
> > >
> > > Dan
> > >
> > >
> > >
> > >
> > > _______________________________________________
> > > xrblock mailing list
> > > [email-masked]
> > > https://www.ietf.org/mailman/listinfo/xrblock
> > >
> _______________________________________________
> xrblock mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/xrblock

---

From: Glen Zorn <[email-masked]>
Date: Mon, 04 Feb 2013 17:32:51 +0700

> We are waiting for the confirmation from Glen Zorn (as an author of the document) that all appropriate IPR disclosures required for full conformance with the provisions of BCP 78 and BCP 79 have be…

BCP 79 says:

3.2.  Rights and Permissions

3.2.1.  All Contributions

_By submission of a Contribution_, each person actually submitting the
    Contribution, and each named co-Contributor,is _deemed to agree___ to
    the following terms and conditions, on his or her own behalf, and on
    behalf of the organizations the Contributor represents or is
    sponsored by (if any) when submitting the Contribution.

    A. The Contributor represents that he or she has made or will
       promptly make all disclosures required by Section 6.1.1 of this
       document.

    B. The Contributor represents that there are no limits to the
       Contributor's ability to make the grants, acknowledgments and
       agreements herein that are reasonably and personally known to the
       Contributor.

    C. If the Contribution is an Internet-Draft, this agreement must be
       acknowledged, by including in the "Status of this Memo" section on
       the first page of the Contribution, the appropriate notices
       described in Section 5 of [RFC3978].

So for the 9th time (and counting!), yes, all appropriate IPR 
disclosures required for full conformance with the provisions of BCP 78 
and BCP 79 have been filed.

...

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 4 Feb 2013 10:52:01 +0000

Thanks, Glen. 

The submission template for the write-up that WG chairs must fill when submitting WG documents to the IESG is available at http://www.ietf.org/iesg/template/doc-writeup.txt. 

It includes the question: 

(7) Has each author confirmed that any and all appropriate IPR
disclosures required for full conformance with the provisions of BCP 78
and BCP 79 have already been filed. If not, explain why.

So my reading is that while the text that you quote includes a commitment that all authors 'have made or will make all disclosures ...' at the moment of the submission to the IESG a dull confirmation that these disclosures have been filled is required. 

This is the reason why we (as chairs) need to ask for your explicit confirmation now. 

Can you provide the same confirmation also for draft-xrblock-ietf-rtcp-xr-summary?

Regards,

Dan

> From: Glen Zorn [mailto:[email-masked]]
> Sent: Monday, February 04, 2013 12:33 PM
> To: Romascanu, Dan (Dan)
> Cc: Huangyihong (Rachel); Qin Wu; [email-masked]; [email-masked]
> > We are waiting for the confirmation from Glen Zorn (as an author of
> the document) that all appropriate IPR disclosures required for full
> conformance with the provisions of BCP 78 and BCP 79 have been filled in
> order to progress this document (submit to the IESG).
> 
> BCP 79 says:
>